Subject: architecture books

From: [email-masked] (Walter G. Winter)
Date: 8 Apr 1996 16:15:27 GMT

Hi Folks,

We have plenty of used books at our website:

http://www.mercury.net/~wgwinter/

thanks...
-- 
-----------------------------------------------------------------------
W.G. Winter, Bookseller    | We are in Historic Micanopy, Florida.
P.O. Box 48                | One mile off I-75 exit #73 and U.S. 441
Micanopy, FL 32667         | 20 wonderful antique shops and eateries.
(352) 466-0310             | Please visit us when you're in the area.
                           |  Thanks....Marie & Walter Winter
[email-masked]       |-------------------------------------------
http://www.mercury.net/~wgwinter/         also on Interloc...
Member of.............FLORIDA ANTIQUARIAN BOOKSELLERS ASSOCIATION
-----------------------------------------------------------------------